from django.contrib import admin

from apps.drama.models import GameEvent


@admin.register(GameEvent)
class GameEventAdmin(admin.ModelAdmin):
    list_display = ("timestamp", "room", "actor", "verb")
    list_filter = ("verb",)
    readonly_fields = ("room", "actor", "verb", "data", "timestamp")

    def has_add_permission(self, request):
        return False

    def has_delete_permission(self, request, obj=None):
        return False

    def has_change_permission(self, request, obj=None):
        return False
